import moment from 'moment';
export interface TimeOptionItem {
    date: moment.Moment;
    now: boolean;
    selected: boolean;
    str: string;
}
export interface TimeOption {
    items: TimeOptionItem[];
    title: string;
}
export declare function isHourPm(hour: number): boolean;
export declare class TimeDisplay {
    private _date;
    private _clock12;
    options: TimeOption[];
    hours: TimeOptionItem[];
    minutes: TimeOptionItem[];
    seconds: TimeOptionItem[];
    periods: TimeOptionItem[];
    constructor(_date: moment.Moment, _clock12?: boolean);
    readonly now: moment.Moment;
    date: moment.Moment;
    clock12: boolean;
    private updateTime();
}
